Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.coverage.grid
Class AbstractGridCoverage

    java.lang.Object
      org.deegree.model.coverage.AbstractCoverage
          org.deegree.model.coverage.grid.AbstractGridCoverage

All Implemented Interfaces:
  Serializable, Coverage, GridCoverage

Direct Known Subclasses:
  ByteGridCoverage, FloatGridCoverage, ImageGridCoverage, ShortGridCoverage

    public abstract class AbstractGridCoverage

extends AbstractCoverage
implements GridCoverage

Represent the basic implementation which provides access to grid coverage data. A `GC_GridCoverage` implementation may provide the ability to update grid values.

Version:
  2.11.2002
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary
`protected static float` | `offset`
`protected static float` | `scaleFactor`

Fields inherited from class org.deegree.model.coverage.AbstractCoverage
`coverageOffering, numSources, sources`

Constructor Summary
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope)`
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope, boolean isEditable)`
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope, CoordinateSystem crs, boolean isEditable)`
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope, Coverage[] sources)`
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope, Coverage[] sources, boolean isEditable)`
`AbstractGridCoverage(CoverageOffering coverageOffering, Envelope envelope, Coverage[] sources, CoordinateSystem crs, boolean isEditable)`

Method Summary
`abstract BufferedImage` | `getAsImage(int xAxis, int yAxis)` this is a deegree convenience method which returns the source image of an `ImageGridCoverage`.
`GridGeometry` | `getGridGeometry()` Information for the grid coverage geometry.
`boolean` | `isDataEditable()` Returns `true` if grid data can be edited.
`protected BufferedImage` | `paintImage(BufferedImage targetImg, Envelope targetEnv, BufferedImage sourceImg, Envelope sourceEnv)`
`protected BufferedImage` | `paintImage(BufferedImage targetImg, float[][] data, Envelope targetEnv, BufferedImage sourceImg, Envelope sourceEnv)` renders a source image onto the correct position of a target image according to threir geographic extends (Envelopes).

Methods inherited from class org.deegree.model.coverage.AbstractCoverage
`getCoordinateReferenceSystem, getCoverageOffering, getDimensionNames, getEnvelope, getMetadataNames, getMetadataValue, getNumSources, getRenderableImage, getSampleDimension, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.deegree.model.coverage.grid.GridCoverage
`getSource`

Methods inherited from interface org.deegree.model.coverage.Coverage
`getCoordinateReferenceSystem, getDimensionNames, getEnvelope, getMetadataNames, getMetadataValue, getNumSampleDimensions, getNumSources, getRenderableImage, getSampleDimension`

Field Detail

### offset

    protected static float offset

### scaleFactor

    protected static float scaleFactor

Constructor Detail

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope)

Parameters:
  `coverageOffering` -
  `envelope` -

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope,
                                Coverage[] sources)

Parameters:
  `coverageOffering` -
  `sources` -
  `envelope` -

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope,
                                boolean isEditable)

Parameters:
  `coverageOffering` -
  `envelope` -
  `isEditable` -

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope,
                                CoordinateSystem crs,
                                boolean isEditable)

Parameters:
  `coverageOffering` -
  `envelope` -
  `crs` -
  `isEditable` -

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope,
                                Coverage[] sources,
                                boolean isEditable)

Parameters:
  `coverageOffering` -
  `envelope` -
  `sources` -
  `isEditable` -

### AbstractGridCoverage

    public AbstractGridCoverage(CoverageOffering coverageOffering,
                                Envelope envelope,
                                Coverage[] sources,
                                CoordinateSystem crs,
                                boolean isEditable)

Parameters:
  `coverageOffering` -
  `envelope` -
  `sources` -
  `crs` -
  `isEditable` -

Method Detail

### isDataEditable

    public boolean isDataEditable()

  Returns `true` if grid data can be edited.

  Specified by:
    `isDataEditable` in interface `GridCoverage`
  Returns:
    `true` if grid data can be edited.

### getGridGeometry

    public GridGeometry getGridGeometry()

  Information for the grid coverage geometry. Grid geometry includes the valid range of grid coordinates and the georeferencing.

  Specified by:
    `getGridGeometry` in interface `GridCoverage`
  Returns:
    the information for the grid coverage geometry.

### getAsImage

    public abstract BufferedImage getAsImage(int xAxis,
                                             int yAxis)

  this is a deegree convenience method which returns the source image of an `ImageGridCoverage`. In procipal the same can be done with the getRenderableImage(int xAxis, int yAxis) method. but creating a `RenderableImage` image is very slow.

  Parameters:
    `xAxis` - Dimension to use for the x axis.
    `yAxis` - Dimension to use for the y axis.
  Returns:
    the image

### paintImage

    protected BufferedImage paintImage(BufferedImage targetImg,
                                       Envelope targetEnv,
                                       BufferedImage sourceImg,
                                       Envelope sourceEnv)

### paintImage

    protected BufferedImage paintImage(BufferedImage targetImg,
                                       float[][] data,
                                       Envelope targetEnv,
                                       BufferedImage sourceImg,
                                       Envelope sourceEnv)

  renders a source image onto the correct position of a target image according to threir geographic extends (Envelopes).

  Parameters:
    `targetImg` -
    `targetEnv` -
    `sourceImg` -
    `sourceEnv` -
  Returns:
    targetImg with sourceImg rendered on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org